#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:		neochat
Version: 23.04.1
Release:	%mkrel %{rel}
Summary:	Client for matrix, the decentralized communication protocol
Group:		Graphical desktop/KDE
License:	GPLv2 and GPLv2+ and GPLv3 and GPLv3+ and BSD
URL:		https://apps.kde.org/neochat/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-rpm-macros
BuildRequires:	reuse

BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Keychain)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Multimedia)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5QuickControls2)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Xml)

BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5ItemModels)
BuildRequires:	cmake(KF5Kirigami2)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5QQC2DesktopStyle)
BuildRequires:	cmake(KF5Sonnet)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5KirigamiAddons)

BuildRequires:	cmake(Olm)
BuildRequires:	cmake(QtOlm)
BuildRequires:	cmake(Quotient)
BuildRequires:	cmake(QCoro5)
BuildRequires:	cmake(KQuickImageEditor)
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	pkgconfig(sqlite3)

BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	syntax-highlighting

Requires:	kirigami-addons
Requires:	kirigami2
Requires:	kitemmodels
Requires:	kquickimageeditor
Requires:	qtquickcontrols2
Requires:	syntax-highlighting

%description
Neochat is a client for Matrix, the decentralized communication protocol for
instant messaging. It is a fork of Spectral, using KDE frameworks, most
notably Kirigami, KConfig and KI18n.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/krunner/dbusplugins/plasma-runner-neochat.desktop
%{_kf5_applicationsdir}/*.desktop
%{_kf5_iconsdir}/hicolor/*/apps/*
%{_kf5_metainfodir}/*.appdata.xml
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_mandir}/man1/%{name}.1.*

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man


%changelog
* Mon May 29 2023 daviddavid <daviddavid> 23.04.1-2.mga9
+ Revision: 1959646
- enable sqlite3 support
- New version 23.04.1

* Sun Feb 19 2023 daviddavid <daviddavid> 22.11-3.mga9
+ Revision: 1944156
- rebuild for new cmark

* Thu Dec 22 2022 daviddavid <daviddavid> 22.11-2.mga9
+ Revision: 1925723
- rebuild against libquotient 0.7.0 with E2EE support enabled

* Sat Dec 03 2022 daviddavid <daviddavid> 22.11-1.mga9
+ Revision: 1915941
- new version: 22.11

* Mon Nov 07 2022 daviddavid <daviddavid> 22.09-1.mga9
+ Revision: 1904318
- new version: 22.09

* Thu Aug 25 2022 papoteur <papoteur> 22.06-1.mga9
+ Revision: 1880366
- new 22.06

* Wed Apr 06 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1846203
- Mageia 9 Mass Rebuild

* Sun Apr 03 2022 neoclust <neoclust> 1.2.0-1.mga9
+ Revision: 1842744
- Rebuild against new libcmark
- New version 1.2.0

* Thu Feb 25 2021 daviddavid <daviddavid> 1.1.1-1.mga9
+ Revision: 1690714
- new version: 1.1.1

* Thu Jan 14 2021 daviddavid <daviddavid> 1.0.1-2.mga8
+ Revision: 1671734
- add missing runtime depencency on kitemmodels

* Thu Jan 14 2021 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1671733
- initial package neochat

